<span class="input-group-addon" style="width:100px;max-width:100px" ng-if="activelabel">{{att.alias}}</span>
 <input type="number"
       class="form-control"
       ng-model="result[att.name]"
       ng-bind="initvalue[att.name]"
       step="any"
       ng-disabled="fieldData.disabled"
       ng-readonly="fieldData.readonly"
       ng-required="activelabel !== undefined && fieldData.required"
       placeholder="{{fieldData.placeholder ? fieldData.placeholder : ''}}"
       title="{{fieldData.title}}"
       ng-class="missingMandatoryAttributes.includes(att.name)?'mandatory-attribute-missing':''"
       ng-change="deleteNullDefaultValues()"
       ng-keydown="skipTextChars($event)"
       ng-paste="onPaste($event)"
 />
</div>

